using CvMatcher.Models.Requests;
using CvMatcher.Models.Responses;
using Refit;

namespace CvSearchJob.Clients;

public interface ICvMatcherInternalApi
{
    [Post("/api/cv/match-job")]
    Task<JobMatchResponse> MatchJobAsync([Body] MatchJobRequest request, CancellationToken ct);
}
